# Method lfun::`->=()

Method `->=

  `mixed `->=(string index, zero value, object|void context, int|void access)`

Description

  Arrow index assignment callback.

Parameter `index`

  Symbol in context to change the value of.

Parameter `value`

  The new value.

Parameter `context`

  Context in the current object to start the search from. If `UNDEFINED` or left out, `this_program::this` is to be used (ie start at the current context and ignore any overloaded symbols).

Parameter `access`

  Access permission override. One of the following:

  `0` | See only public symbols.
  `UNDEFINED`
  `1` | See protected symbols as well.

  This function is to index the current object with the string index, and set it to value.

Returns

  Returns the set value.

See also

  `->=(), ::`->=(), lfun::`[]=()